Bug 571970 - [abrt] crash in gnofract4d-3.12-3.fc12: fc.py:417:generate_code:TranslationError: Error reported by C compiler:sh: gcc: command not found
Summary: [abrt] crash in gnofract4d-3.12-3.fc12: fc.py:417:generate_code:TranslationEr...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnofract4d
Version: 12
Hardware: i686
OS: Linux
high
medium
Target Milestone: ---
Assignee: Stewart Adam
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:237bba6e
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-03-09 21:59 UTC by BK
Modified: 2010-07-15 21:05 UTC (History)
2 users (show)

Fixed In Version: gnofract4d-3.13-1.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-07-15 21:03:16 UTC


Attachments (Terms of Use)
File: backtrace (1.93 KB, text/plain)
2010-03-09 21:59 UTC, BK
no flags Details

Description BK 2010-03-09 21:59:10 UTC
abrt 1.0.7 detected a crash.

architecture: i686
cmdline: /usr/bin/python /usr/bin/gnofract4d
comment: It appears that gnofract4d should have a dependency on gcc, but it doesn't.
component: gnofract4d
executable: /usr/bin/gnofract4d
kernel: 2.6.32.9-67.fc12.i686
package: gnofract4d-3.12-3.fc12
reason: fc.py:417:generate_code:TranslationError: Error reported by C compiler:sh: gcc: command not found
release: Fedora release 12 (Constantine)

backtrace
-----
fc.py:417:generate_code:TranslationError: Error reported by C compiler:sh: gcc: command not found

Traceback (most recent call last):
  File "/usr/bin/gnofract4d", line 152, in <module>
    main(sys.argv[1:])
  File "/usr/bin/gnofract4d", line 81, in main
    gtkmain(opts)
  File "/usr/bin/gnofract4d", line 128, in gtkmain
    mainWindow = main_window.MainWindow()
  File "/usr/lib/python2.6/site-packages/fract4dgui/main_window.py", line 71, in __init__
    self.f = gtkfractal.T(self.compiler,self)
  File "/usr/lib/python2.6/site-packages/fract4dgui/gtkfractal.py", line 440, in __init__
    Hidden.__init__(self,comp,width,height)
  File "/usr/lib/python2.6/site-packages/fract4dgui/gtkfractal.py", line 68, in __init__
    self.try_init_fractal()
  File "/usr/lib/python2.6/site-packages/fract4dgui/gtkfractal.py", line 82, in try_init_fractal
    self.f.compile()
  File "/usr/lib/python2.6/site-packages/fract4d/fractal.py", line 621, in compile
    self.compiler_options)
  File "/usr/lib/python2.6/site-packages/fract4d/fc.py", line 271, in compile_all
    outputfile = os.path.abspath(self.generate_code(t, cg))
  File "/usr/lib/python2.6/site-packages/fract4d/fc.py", line 417, in generate_code
    "Error reported by C compiler:%s" % output)
TranslationError: Error reported by C compiler:sh: gcc: command not found

Local variables in innermost frame:
status: 32512
cfile: '/home/bkn/.gnofract4d-cache/fract4d_566edf31d5d6edacaf12c173f8b7f537.c'
outputfile: '/home/bkn/.gnofract4d-cache/fract4d_566edf31d5d6edacaf12c173f8b7f537.so'
hash: '566edf31d5d6edacaf12c173f8b7f537'
self: <fract4d.fc.Compiler instance at 0xb72af6ec>
cmd: 'gcc /home/bkn/.gnofract4d-cache/fract4d_566edf31d5d6edacaf12c173f8b7f537.c -fPIC -DPIC -D_REENTRANT -O2 -shared -ffast-math -o /home/bkn/.gnofract4d-cache/fract4d_566edf31d5d6edacaf12c173f8b7f537.so -lm'
cg: <fract4d.codegen.T instance at 0xa258b4c>
output: 'sh: gcc: command not found'
ir: <fract4d.translate.T instance at 0xa36516c>

How to reproduce
-----
1. Try to start program from gnome-panel menu.
2.
3.

Comment 1 BK 2010-03-09 21:59:13 UTC
Created attachment 398951 [details]
File: backtrace

Comment 2 Stewart Adam 2010-06-22 22:18:58 UTC
gcc is only required for certain specific features, not for the whole program so I'd rather keep the gcc out of the dependencies... Does gnofract4d crash if you do not have gcc installed, or does ABRT jsut report this error?

Comment 3 BK 2010-06-25 10:40:38 UTC
As outlined in my original report, the program crashes instantly on startup. No window ever opens, and I select no functions in the program, all that happens when I attempt to start the program from the menu is that I get a notification from abrt about the crash.

Exactly the same thing happens on another machine running F13, with an error reported by abrt that seems practically identical.

Comment 4 Stewart Adam 2010-06-25 17:46:13 UTC
I've committed a fix, new build coming soon.

Comment 5 dweb98 2010-06-26 11:41:44 UTC
Package: gnofract4d-3.12-3.fc12
Architecture: i686
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1.just open the app
2.
3.

Comment 6 Fedora Update System 2010-06-26 15:25:21 UTC
gnofract4d-3.13-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/gnofract4d-3.13-1.fc13

Comment 7 Fedora Update System 2010-06-26 15:25:25 UTC
gnofract4d-3.13-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/gnofract4d-3.13-1.fc12

Comment 8 Fedora Update System 2010-06-28 17:14:42 UTC
gnofract4d-3.13-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gnofract4d'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/gnofract4d-3.13-1.fc13

Comment 9 Fedora Update System 2010-06-28 17:20:34 UTC
gnofract4d-3.13-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gnofract4d'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/gnofract4d-3.13-1.fc12

Comment 10 Fedora Update System 2010-07-15 21:03:11 UTC
gnofract4d-3.13-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2010-07-15 21:05:42 UTC
gnofract4d-3.13-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.